apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: bukopin-redemption-client-react
  namespace: bukopin-staging
  annotations:
    kubernetes.io/ingress.class: "traefik"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/router.middlewares: bukopin-staging-redirect-https@kubernetescrd
spec:
  rules:
    - host: "bukopin-fe.k3s.bangun-kreatif.com"
      http:
        paths:
          - pathType: Prefix
            path: /
            backend:
              service:
                name: bukopin-redemption-client-react
                port:
                  number: 7700
  tls:
    - hosts:
        - "bukopin-fe.k3s.bangun-kreatif.com"
      secretName: bukopin-fe-k3s-bangun-kreatif-com-tls
